<?php
	session_start();
	require ("./Funciones/funciones.php");
	require("conexion.php");
	$conexion = conecta();
	$idp = $_POST['id'];
	$nombre = $_POST['nombre'];
	$cat = $_POST['cat'];
	$codigo = $_POST['cod'];
	$costo = $_POST['costo'];
	$porcf = $_POST['porcf'];
	$pvf = $_POST['pvf'];
	$porm = $_POST['porm'];
	$pvm = $_POST['pvm'];
	$user=$_SESSION['id_admin'];
	$ancho = $_POST['ancho'];
	$largo = $_POST['largo'];
	$med = $_POST['med'];
	$datos = $_POST['datos'];
	$cont = $_POST['cont'];
	$area = $_POST['area'];
	$costov = $_POST['costov'];
	$areas = $_POST['areau'];
	$areau = explode("|",$areas);	
	$insumos = explode("|",$datos);
	function round_up ( $value, $precision ) { 
    $pow = pow ( 10, $precision ); 
    return ( ceil ( $pow * $value ) + ceil ( $pow * $value - ceil ( $pow * $value ) ) ) / $pow; 
} 
	$activado = 1;
	$eliminado = 0;
	$destacado= 0;
	$fecha = date("Y-m-d H:i:s");
	

		$sql = mysqli_query($conexion,"UPDATE Productos SET Nombre = '$nombre',Codigo = '$codigo', IdCategoria = '$cat', Fecha = '$fecha', PrecioCompra = '$costo', monedac = '1', Costtot = '$costo', porc = '$porcf',PrecioVenta = '$pvf', monedav = '1',porcm = '$porm',preciovm = '$pvm',monedavm = '1',Largo = '$largo', Ancho = '$ancho', Area = '$area', IdMedidas = '$med', costov = $costov WHERE IdProducto = '$idp'");
		//$sql = "INSERT INTO Productos VALUES (0,'$nombre','$codigo','$cat','$fecha',NULL,NULL,1,0)";
		$res = mysqli_query($conexion,$sql);
		$sql = "SELECT * FROM Productos ORDER BY IdProducto DESC LIMIT 1";
		$prueba = mysqli_query($conexion,$sql);
		$pru = mysqli_fetch_array($prueba);
		$contador = $pru['IdProducto'];


		$borrar = mysqli_query($conexion,"DELETE FROM ProductoDetalle WHERE IdProducto = '$idp'");
		




		while($cont != 0){
		$id = $insumos[$cont];
		$areauni = $areau[$cont];
		$p = mysqli_query($conexion,"SELECT * FROM Insumos WHERE IdInsumo = $id");
		$f = mysqli_fetch_array($p);
		$do = mysqli_query($conexion,"INSERT INTO ProductoDetalle VALUES (0,'$idp', '$id', '$areauni',1,'$user' )");
		$cont--;
		}
		echo '1';
	
	
	
?>
